@c  rhidemac.txt: -*- Texinfo -*-

@c -------------------------------------------------------------------------
@c
@c Macros for making RHIDE documentation in text format.
@c
@c Author: Robert Hhne (robert.hoehne@mathematik.tu-chemitz.de)
@c         November 1996.
@c
@c Derived from 'faqmacros.txi', which is part of DJGPP FAQ written
@c by Eli Eli Zaretskii (eliz@is.elta.co.il)
@c
@c Many ideas taken from files `multifmt.texi' and html.texi'
@c written by Brian J. Fox and distributed with GNU Texinfo archive:
@c
@c Author: Brian J. Fox  (bfox@ua.com)	       Sun Apr  2 07:56:23 1995.
@c
@c -------------------------------------------------------------------------


@macro html
@end macro

@macro htmltitle{line}
@end macro

@macro htmlsubtitle{line}
@end macro

@macro htmlauthor{line}
@end macro

@macro bye
@end macro

@macro anchor{text, link}
\text\, \link\
@end macro

@macro TeX
@TeX{}
@end macro

@macro paragraph{}
@sp 1
@end macro

@macro mail{name, address}
\name\ <\address\>
@end macro

@macro ftp{desc, path}
\desc\, e.g. ftp://\path\
@end macro

@macro ftpdir{host, dir}
\host\, directory \dir\
@end macro

@macro ftpusr{desc, host, login, passwd}
\desc\ (FTP to \host\, login as \login\, give \passwd\ as password)
@end macro

@macro www{desc, path}
\desc\, at this URL:
@sp 1
@display
http://\path\
@end display
@sp 1
@end macro

@macro gopher{desc, path}
\desc\, gopher://\path\
@end macro

@macro news{name}
\name\ Newsgroup
@end macro

@macro titem{line}
@item \line\
@end macro
@macro titemx{line}
@itemx \line\
@end macro
@macro titeml{line}
@itemx \line\
@end macro

@macro quest{stuff}
@quote-arg
@emph{@strong{Question}: \stuff\}
@end macro

@macro ans
@strong{Answer}:
@end macro

@c

@macro mxref{node, desc, title, file, doc}
See Section '\node\' in documentation for '\doc\'
@end macro

@macro xref{node,visible}
See \visible\
@end macro

@macro extref{node, desc, file, title, url}
See \desc\ in ``\title\'', or point your Web browser to http://\url\
@end macro

@macro footnote{stuff}
@quote-arg
(\stuff\)
@end macro

@c To keep it compatible with html.
@macro mitem{visible, node}
* \visible\.
@end macro

@c Idem.
@macro end_menu
@end format
@sp 1
@end macro

@macro menu
@format
@end macro

@macro end_example
@end example
@end macro

@macro aacute
 
@end macro
@macro eacute

@end macro
@macro iacute
‘
@end macro
@macro oacute
’
@end macro
@macro uacute
£
@end macro
@macro ntilde
€
@end macro
@macro Ntilde
₯
@end macro
@macro exclamdown
­
@end macro
@macro questiondown
¨
@end macro
@macro auml

@end macro
@macro euml

@end macro
@macro iuml

@end macro
@macro ouml

@end macro
@macro uuml

@end macro
@macro Uuml

@end macro
@macro agrave

@end macro
@macro egrave

@end macro
@macro igrave

@end macro
@macro ograve

@end macro
@macro ugrave

@end macro

@macro lessthan
<
@end macro
@macro greaterthan
>
@end macro

@macro _subheading{a}
@subheading \a\
@end macro

@macro separatenode
@end macro

@macro node{this, next, prev, up}
@end macro

@macro table4{title1,title2,title3,title4}
@itemize @bullet
@end macro

@macro table3{title1,title2,title3}
@itemize @bullet
@end macro

@macro titem4{NOM,COM,KEY,ALT}
@item \NOM\@*
@itemize @minus
  @item Editor command: @code{\COM\}@*
  @item Key: @key{\KEY\}@*
  @item Alternative: @key{\ALT\}
@end itemize
@c @key{\KEY\}
@kindex \COM\ @key{\KEY\}
@kindex \NOM\ @key{\KEY\}
@end macro

@macro titem3{NOM,COM,KEY}
@item \NOM\@*
@itemize @minus
  @item Editor command: @code{\COM\}@*
  @item Key: @key{\KEY\}
@end itemize
@c @key{\KEY\}
@kindex \COM\ @key{\KEY\}
@kindex \NOM\ @key{\KEY\}
@end macro


@macro endtable4{}
@end itemize
@end macro

